### Method

# Ggit Repository create_tag

#### Declaration [src]

    GgitOId*
    ggit_repository_create_tag (
      GgitRepository* repository,
      const gchar* tag_name,
      GgitObject* target,
      GgitSignature* tagger,
      const gchar* message,
      GgitCreateFlags flags,
      GError** error
    )

#### Description [src]

Create a new tag object.

#### Parameters

`tag_name`

  Type: `const gchar*`

  The tag name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`target`

  Type: `GgitObject`

  A `GgitObject`.

  The data is owned by the caller of the method.

`tagger`

  Type: `GgitSignature`

  A `GgitSignature`.

  The data is owned by the caller of the method.

`message`

  Type: `const gchar*`

  The tag message.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GgitCreateFlags`

  A `GgitCreateFlags`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitOId`

The id to which the tag points, or `NULL` in case of an error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.